package pipeline.fragment;

import pipeline.misc.Fragment;
import pipeline.misc.FrameBuffer;

/**
 * This fragment processor will place the indicated color into the framebuffer
 * only if the fragment passes the z buffer test (ie - it isn't occluded by
 * another fragment).
 * 
 * @author ags
 */
public class ColorZBufferFP extends FragmentProcessor {
  public int nAttr() {
	  // TODO
	  return 0;
  }

  public void fragment(Fragment f, FrameBuffer fb) {
	  // TODO
  }

}
